Subject: [Lake] Re: WG Last Call: draft-ietf-lake-app-profiles-04 (Ends 2026-06-02)
From: Elsa Lopez Perez <[email-masked]>
To: [email-masked], [email-masked], lake <[email-masked]>
Date: Tue, 26 May 2026 16:15:28 +0200
List-Id: Lightweight Authenticated Key Exchange <lake.ietf.org>

Hi all,

I have reviewed the document and support progressing it towards 
publication. A few comments:

- Same as was already mentioned by Yuxuan, the app_prof name and label 
means three different things depending on the context. Maybe it would be 
worth clarifying it or using a different name.

- EDHOC-PSK resumption introduces two new EDHOC Exporter Labels 
(TBD2/TBD3) with default output lengths. Is app-profiles' 
exporter_out_len intended to cover these? Moreover, is "supports PSK 
resumption" meant to be an advertisable profile capability?

Thanks for the work!

BR,

Elsa

On 5/19/26 11:21, Mališa Vučinić via Datatracker wrote:
> As discussed during the IETF 125 in Shenzhen, this message starts a WG
> last call for  draft-ietf-lake-app-profiles-04.
>
> This Working Group Last Call ends on 2026-06-02.
>
> Abstract:
>     The lightweight authenticated key exchange protocol Ephemeral Diffie-
>     Hellman Over COSE (EDHOC) requires certain parameters to be agreed
>     out-of-band, in order to ensure its successful completion.  To this
>     end, application profiles specify the intended use of EDHOC to allow
>     for the relevant processing and verifications to be made.  In order
>     to ensure the applicability of such parameters and information beyond
>     transport- or setup-specific scenarios, this document defines a
>     canonical, CBOR-based representation that can be used to describe,
>     distribute, and store EDHOC application profiles.  Furthermore, in
>     order to facilitate interoperability between EDHOC implementations
>     and support EDHOC extensibility for additional integrations, this
>     document defines a number of means to coordinate the use of EDHOC
>     application profiles.  Finally, this document defines a set of well-
>     known EDHOC application profiles.
>
> File can be retrieved from:
>
> Please review and indicate your support or objection to proceed with the
> publication of this document by replying to this email keeping [email-masked]
> in copy. Objections should be explained and suggestions to resolve them are
> highly appreciated.
>
> Authors, and WG participants in general, are reminded of the Intellectual
> Property Rights (IPR) disclosure obligations described in BCP 79 [1].
> Appropriate IPR disclosures required for full conformance with the provisions
> of BCP 78 [1] and BCP 79 [2] must be filed, if you are aware of any.
> Sanctions available for application to violators of IETF IPR Policy can be
> found at [3].
>
> Thank you.
>
> [1] https://datatracker.ietf.org/doc/bcp78/
> [2] https://datatracker.ietf.org/doc/bcp79/
> [3] https://datatracker.ietf.org/doc/rfc6701/
>
> The IETF datatracker status page for this Internet-Draft is:
> https://datatracker.ietf.org/doc/draft-ietf-lake-app-profiles/
>
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-ietf-lake-app-profiles-04.html
>
> A diff from the previous version is available at:
> https://author-tools.ietf.org/iddiff?url2=draft-ietf-lake-app-profiles-04
>